SSD1306 OLED display driver 1.8.2 This library is developed to control SSD1306/SSD1331/SSD1351/IL9163/PCD8554 RGB i2c/spi LED displays

Public Member Functions | List of all members
Print Class Referenceabstract

`#include <Print_internal.h>`

Inheritance diagram for Print:

## Public Member Functions
| Print ()
virtual size_t | write (uint8_t ch)=0
size_t | print (const char *str)
size_t | print (int n)
size_t | println (const char *str)
size_t | println (int data)

## Detailed Description

Implements own Print class for plain AVR and Linux environment

Definition at line 43 of file Print_internal.h.

## Constructor & Destructor Documentation

## ◆ Print()

Print::Print | ( |  | ) |
| inline

Constructor to create Print class object

Definition at line 47 of file Print_internal.h.

## Member Function Documentation

## ◆ print() [1/2]

size_t Print::print | ( | const char * | str | ) |
| inline

Prints string via write()

Parameters

  str | string to print

Returns
  returns number of printed symbols

Definition at line 61 of file Print_internal.h.

## ◆ print() [2/2]

size_t Print::print | ( | int | n | ) |
| inline

Prints number via write()

Parameters

  n | integer to print

Returns
  returns number of printed symbols

Definition at line 77 of file Print_internal.h.

## ◆ println() [1/2]

size_t Print::println | ( | const char * | str | ) |
| inline

Prints string via write() and goes to next line.

Parameters

  str | string to print

Returns
  returns number of printed symbols

Definition at line 89 of file Print_internal.h.

## ◆ println() [2/2]

size_t Print::println | ( | int | data | ) |
| inline

Prints number via write() and goes to next line.

Parameters

  data | integer to print

Returns
  returns number of printed symbols

Definition at line 101 of file Print_internal.h.

## ◆ write()

virtual size_t Print::write | ( | uint8_t | ch | ) |
| pure virtual

abstract function to be defined in inherited classes

Parameters

  ch | char to print

Returns
  returns number of printed symbols

Implemented in NanoCanvasOps< BPP >, LcdConsole< W >, and LcdConsole< ssd1306_consoleWriter >.

The documentation for this class was generated from the following file:

- ssd1306_hal/Print_internal.h